<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Random verse</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.24.0/axios.min.js"></script>
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
  </head>
  <body>
    <div class="container mt-4">
      <button class="btn btn-success" onclick="getVerse()">
        Verset aleatoriu
      </button>
      <div class="fs-2 fw-bold" id="get-class"></div>
    </div>
    <script>
      function getVerse() {
        document.getElementById("get-class").innerText = "";
        axios
          .get(
            "https://getbible.net/v2/cornilescu/" +
              Math.floor(Math.random() * 66 + 1) +
              ".json"
          )
          .then(function (response) {
            capitol = Math.floor(Math.random() * response.data.chapters.length);
            verset = Math.floor(
              Math.random() * response.data.chapters[capitol].verses.length
            );
            document.getElementById("get-class").innerHTML =
              response.data.chapters[capitol].verses[verset].text +
              "<br> " +
              response.data.chapters[capitol].verses[verset].name;
          });
      }
    </script>
  </body>
</html>
